<?php
/**
* MyPhotoPlugin.class.php
* 
* Plugin zum Verwalten von Photoalben (Hauptklasse)
* 
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2007 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

require_once("Photo.class.php");
require_once("Album.class.php");
require_once("Comment.class.php");
require_once("Controller.class.php");
require_once("SlideShowHandler.class.php");
require_once ("lib/functions.php");
require_once ("lib/dates.inc.php");
require_once ("lib/messaging.inc.php");

class MyPhoto {

	var $view = "show";
	var $items_per_page = 16;
	var $pluginpath;
	var $requesteduser;
	var $plugincobject;
	var $range_id;
	var $homepage_view = TRUE;
	var $save_txt;

	function getLink($pluginobj, $params, $view='show') {
		if ($_REQUEST['plugin_subnavi_params'])
			$params = array_merge($params, array('plugin_subnavi_params'=>$_REQUEST['plugin_subnavi_params']));

		return PluginEngine::getLink($pluginobj,$params, $view);
	}

	function MyPhoto() {
		$this->save_txt = dgettext('mp',"Speichern nicht vergessen!");
	}

	function set_range_id($s) {
		$this->range_id = $s;
	}

	function get_range_id() {
		return $this->range_id;
	}

	function set_homepage_view($b=TRUE) {
		$this->homepage_view = $b;
	}

	function get_homepage_view() {
		return $this->homepage_view;
	}

	function setPluginobject(&$p) {
		$this->pluginobject = $p;
		$this->pluginobject->view = (strlen(trim($this->pluginobject->view)) > 0 ? trim($this->pluginobject->view) : "show");
	}

	// ist nur ein Album sichtbar und wenn ja, welche ID hat es?
	function the_one_and_only_album() {
		$c = new Controller();
		$albums = $c->get_all_public_albums($this->range_id);
		if (count($albums) == 1) {
			return $albums[0]->get_album_id();
		} else
			return FALSE;
	}

	function get_scriptaculous() {
		//echo "<script src=\"".$this->pluginobject->getPluginpath()."/lib/scriptaculous/prototype.js\" type=\"text/javascript\"></script>\n";
		//echo "<script src=\"".$this->pluginobject->getPluginpath()."/lib/scriptaculous/scriptaculous.js\" type=\"text/javascript\"></script>\n";
	}

	function get_lytebox() {
		echo "<link rel=\"stylesheet\" href=\"".$this->pluginobject->getPluginpath()."/lib/lytebox/lytebox.css\" type=\"text/css\" media=\"screen\" />\n";
		echo "<script src=\"".$this->pluginobject->getPluginpath()."/lib/lytebox/lytebox.js\" type=\"text/javascript\"></script>\n";
	}

	function get_stylesheets() {
		echo "<LINK REL=\"stylesheet\" HREF=\"".$this->pluginobject->getPluginpath()."/style.css\" TYPE=\"text/css\" />\n";
	}

	function createInfoBox ($imgLogo) {
		$c = new Controller();
		//$quota_size = $c->get_absolut_content_size_in_db($this->get_range_id());
		$quota_size = $c->get_absolut_content_size_in_db($GLOBALS['auth']->auth['uid']);
		$quota = $c->translate_disksize($quota_size);
		if ($quota_size > $c->max_quota_size)
			$quota = "<FONT COLOR=\"RED\">$quota</FONT>";
		else
			$quota = "<FONT COLOR=\"GREEN\">$quota</FONT>";
		$info1 =  array ("icon" => "i.gif", "text" => dgettext('mp',"Mit MyPhotos k&ouml;nnen sehr schnell Fotoalben angelegt werden."));
		$info2 =  array ("icon" => "eigene2.gif", "text" => dgettext('mp',"Jedes Album und jedes Foto kann individuell beschrieben werden."));
		$info3 =  array ("icon" => "icon-guest.gif", "text" => dgettext('mp',"Mit der integrierten Kommentarfunktion werden Eindr&uuml;cke ausgetauscht."));
		$info4 =  array ("icon" => "calendar_public.gif", "text" => dgettext('mp',"Jedes Album kann separat sichtbar oder unsichtbar f&uuml;r andere geschaltet werden. Der Eigent&uuml;mer eines Album entscheidet selbst, ob Kommentare zu einzelnen Fotos erlaubt sein sollen."));
		$info5 =  array ("icon" => "cont_folder_add.gif", "text" => dgettext('mp',"&Uuml;ber die ZIP-Uploadfunktion werden Bildersammlungen bequem hochgeladen."));
		$info6 =  array ("icon" => "zip-icon.gif", "text" => sprintf(dgettext('mp',"Speicherverbrauch: <BR><B>%s</B> von <B>%s</B>"),$quota,$c->translate_disksize($c->max_quota_size)));
		$info7 =  array ("icon" => "rewind.gif", "text" => dgettext('mp',"Innerhalb eines Albums k&ouml;nnen Fotos per drag and drop sortiert werden."));
		$info8 =  array ("icon" => "home.gif", "text" => dgettext('mp',"Um das Startbild eines Albums festzulegen, einfach den Radio-Button oberhalb des gew&uuml;schten Bildes ausw&auml;hlen und das Album speichern."));
		$info9 =  array ("icon" => "vcardexport.gif", "text" => sprintf(dgettext('mp',"Der Export erzeugt ein %s%s kompatibles Archiv, welches Sie z.B. in ILIAS weiterverwenden k&ouml;nnen."),"<SPAN STYLE=\"font-weight:bold; color:green;\">SCORM2004</SPAN>","<IMG SRC=\"".$GLOBALS['ASSETS_URL']."/images/symbol06.gif\">"));
		$info10 =  array ("icon" => "i.gif", "text" => sprintf(dgettext('mp',"Die exportierten Archive sind %s und %s konform <BR><SPAN STYLE=\"font-size:smaller;\">(getestet mit SCORM 2004 3rd Edition Conformance Test Suite Version 1.0.1)</SPAN>"),"<SPAN STYLE=\"font-weight:bold; color:green;\">SCORM 2004 3rd Edition</SPAN>","<SPAN STYLE=\"font-weight:bold; color:green;\">CP CAM 1.0</SPAN>"));
		$infobox = array (array ("kategorie" => dgettext('mp',"Information:"), "eintrag"   => array ($info1,$info2,$info8,$info3,$info4,$info5,$info7,$info9,$info10,$info6)));
		return print_infobox ($infobox, $imgLogo, YES);
	}

	function new_album() {
		echo "<TABLE BORDER=\"0\" WIDTH=\"100%\">\n";
                echo "  <TR>\n";
                echo "    <TD VALIGN=\"TOP\" CLASS=\"blank\">\n";

		echo "<FORM NAME=\"new_album\" METHOD=\"POST\" ACTION=\"".$this->getLink($this->pluginobject,array())."\">\n";
		echo "  <INPUT TYPE=\"hidden\" NAME=\"modus\" VALUE=\"add_album\">\n";
		echo "  <INPUT TYPE=\"hidden\" NAME=\"plugin_subnavi_params\" VALUE=\"admin_mode\">\n";
		//echo "<CENTER><DIV STYLE=\"width:400px; margin:25px; padding:5px; border-color:red; border-width:thin; border-style:solid\">\n";
		echo "<CENTER><DIV CLASS=\"adm_new_album_body\">\n";
		echo "  <TABLE BORDER=\"0\" ALIGN=\"center\">\n";
		echo "    <TR>\n";
		echo "      <TD><FONT SIZE=\"-1\"><B>".dgettext('mp',"Titel").":</B></FONT><SPAN CLASS=\"adm_warning_txt\">*</SPAN></TD>\n";
		echo "      <TD><INPUT TYPE=\"text\" NAME=\"titel\" STYLE=\"width:265px\" MAXLENGTH=\"255\"></TD>\n";
		echo "    </TR>\n";
		echo "    <TR>\n";
		echo "      <TD><FONT SIZE=\"-1\"><B>".dgettext('mp',"Untertitel").":</B></FONT></TD>\n";
		echo "      <TD><INPUT TYPE=\"text\" NAME=\"untertitel\" STYLE=\"width:265px\" MAXLENGTH=\"255\"></TD>\n";
		echo "    </TR>\n";
		echo "    <TR>\n";
		echo "      <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"Beschreibung").":</B></FONT></TD>\n";
		echo "      <TD><TEXTAREA NAME=\"beschreibung\" STYLE=\"width:265px; height:100px\"></TEXTAREA></TD>\n";
		echo "    </TR>\n";
		echo "    <TR>\n";
		echo "      <TD COLSPAN=\"2\" ALIGN=\"center\">\n";
		echo "        <TABLE BORDER=\"0\"><TR>\n";
		echo "          <TD ALIGN=\"center\"><INPUT TYPE=\"image\" ".makeButton("anlegen","src")."></TD>\n";
		echo "          <TD ALIGN=\"center\"><A HREF=\"".$this->getLink($this->pluginobject,array())."\"><IMG ".makeButton("abbrechen","src")." BORDER=\"0\"></A></TD>\n";
		echo "        </TR></TABLE>\n";
		echo "      </TD>\n";
		echo "    </TR>\n";
		echo "    <TR><TD COLSPAN=\"2\" ALIGN=\"center\"><SPAN CLASS=\"adm_warning_txt\" STYLE=\"font-size:x-small;\">* ".dgettext('mp',"Pflichtangaben")."</SPAN></TD></TR>\n";
		echo "  </TABLE>\n";
		echo "</DIV></CENTER>";
		echo "</FORM>\n";

		echo "    </TD>\n";
                echo "    <TD CLASS=\"blank\" WIDTH=\"2%\" ALIGN=\"CENTER\" VALIGN=\"TOP\">".$this->createInfoBox("modules.jpg")."</TD>\n";
                echo "  </TR>\n";
                echo "</TABLE>\n";
	}

	function new_file_upload($link, $album_id) {
                echo "<CENTER>\n";
                echo "<DIV STYLE=\"color:red; width:600px; margin:5px; padding:5px;\">".dgettext('mp',"Mit dem Upload erkl&auml;re ich, dass die hochgeladenen Dateien keine fremden Urheberrechte verletzen und nicht gegen die Nutzungsordnung verstoen!")."</DIV>\n";
                //echo "<DIV STYLE=\"width:600px; margin:25px; padding:5px; border-color:red; border-width:thin; border-style:solid\">\n";
                echo "<DIV CLASS=\"adm_new_file_upload_body\">\n";
                echo "<TABLE BORDER=\"0\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"1\">\n";
                echo "<FORM ENCTYPE=\"multipart/form-data\" NAME=\"add_new_foto\" METHOD=\"POST\" ACTION=\"$link\">\n";
                echo "  <INPUT TYPE=\"hidden\" NAME=\"modus\" VALUE=\"foto_upload\">\n";
                echo "  <INPUT TYPE=\"hidden\" NAME=\"album_id\" VALUE=\"$album_id\">\n";
		echo "  <INPUT TYPE=\"hidden\" NAME=\"plugin_subnavi_params\" VALUE=\"admin_mode\">\n";
                echo "  <TR>\n";
                echo "    <TD><FONT SIZE=\"-1\"><B>&nbsp;".dgettext('mp',"Dateiname").":</B></FONT></TD><TD COLSPAN=\"5\"><INPUT TYPE=\"file\" NAME=\"imgfile\" SIZE=\"45\" style=\"width:400px\"></TD>\n";
                echo "  </TR>\n";
                echo "  <TR>\n";
                echo "    <TD><FONT SIZE=\"-1\"><B>&nbsp;".dgettext('mp',"Titel").":</B></FONT></TD><TD COLSPAN=\"5\"><INPUT TYPE=\"text\" NAME=\"titel\" VALUE=\"\" MAXLENGTH=\"255\" style=\"width:400px\"></TD>\n";
                echo "  </TR>\n";
                echo "  <TR>\n";
                echo "    <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>&nbsp;".dgettext('mp',"Beschreibung").":</B></FONT></TD><TD COLSPAN=\"5\"><TEXTAREA NAME=\"beschreibung\" style=\"width:400px; height:100px\"></TEXTAREA></TD>\n";
                echo "  </TR>\n";
                echo "  <TR>";
                echo "    <TD COLSPAN=\"8\" ALIGN=\"center\" VALIGN=\"TOP\">";
                echo "<INPUT TYPE=\"IMAGE\" ".makeButton("absenden","src")." border=0 value=\"" . dgettext('mp',"absenden") . "\">&nbsp;&nbsp;";
                echo "<INPUT TYPE=\"IMAGE\" ".makeButton("abbrechen","src")." border=0 value=\"" . dgettext('mp',"abbrechen") . "\" onClick=\"document.location.href='$link';\"></TD>\n";
                echo "  </TR>\n";
                echo "  <TR>\n";
                echo "    <TD COLSPAN=\"8\" ALIGN=\"center\" VALIGN=\"TOP\">";
                echo "      <FONT SIZE=\"-1\">".dgettext('mp',"Die Bilddatei darf max. <B>5 MB</B> gro sein, es sind nur Dateien mit der Endung <B>.jpg und .gif</B> erlaubt!")."<BR></FONT>";
                echo "    </TD>\n";
                echo "  </TR>\n";
                echo "  <TR>\n";
                echo "    <TD COLSPAN=\"8\" ALIGN=\"center\" VALIGN=\"TOP\">&nbsp;</TD>";
                echo "  </TR>\n";
                echo "</FORM>\n";
                echo "</TABLE>\n";
                echo "</DIV>\n";

                // ZIP-Uploadform
                //echo "<DIV STYLE=\"width:600px; margin:25px; padding:5px; border-color:red; border-width:thin; border-style:solid\">\n";
                echo "<DIV CLASS=\"adm_new_file_upload_body\">\n";
                echo "<TABLE BORDER=\"0\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"1\">\n";
                echo "<FORM ENCTYPE=\"multipart/form-data\" NAME=\"add_new_zip\" METHOD=\"POST\" onSubmit='if(document.add_new_zip.zipfile.value==\"\")return false;w();return true;' ACTION=\"$link\">\n";
                echo "  <INPUT TYPE=\"hidden\" NAME=\"modus\" VALUE=\"zip_upload\">\n";
                echo "  <INPUT TYPE=\"hidden\" NAME=\"album_id\" VALUE=\"$album_id\">\n";
		echo "  <INPUT TYPE=\"hidden\" NAME=\"plugin_subnavi_params\" VALUE=\"admin_mode\">\n";
                echo "  <TR>\n";
                echo "    <TD><FONT SIZE=\"-1\"><B>&nbsp;".dgettext('mp',"ZIP-Dateiname").":</B></FONT></TD><TD COLSPAN=\"5\"><INPUT TYPE=\"file\" NAME=\"zipfile\" SIZE=\"45\" style=\"width:400px\"></TD>\n";
                echo "  </TR>\n";
                echo "  <TR>";
                echo "    <TD COLSPAN=\"8\" ALIGN=\"center\" VALIGN=\"TOP\">";
                echo "<INPUT TYPE=\"IMAGE\" ".makeButton("absenden","src")." border=0 value=\"" . _("absenden") . "\">&nbsp;&nbsp;";
                echo "<INPUT TYPE=\"IMAGE\" ".makeButton("abbrechen","src")." border=0 value=\"" . _("abbrechen") . "\" onClick=\"document.location.href='$link';\"></TD>\n";
                echo "  </TR>\n";
                echo "</FORM>\n";
                echo "  <TR>\n";
                echo "    <TD COLSPAN=\"8\" ALIGN=\"center\" VALIGN=\"TOP\">";
                echo "      <FONT SIZE=\"-1\">".dgettext('mp',"Die ZIP-Datei darf max. <B>40 MB</B> gro&szlig; sein, darin sind nur Dateien mit der Endung <B>.jpg und .gif</B> erlaubt!")."</FONT>";
                echo "    </TD>\n";
                echo "  </TR>\n";
                echo "</TABLE>\n";
                echo "</DIV></CENTER>\n";
        }
	
	function public_view_album($album_id) {
		global $PHP_SELF, $SessSemName;

		$url = "";

		if (!$this->get_homepage_view())
			$url = $this->getLink($this->pluginobject,array("a"=>"1"));
		else $url = $PHP_SELF . "?a=1";

		$this->get_scriptaculous();
		$this->get_lytebox();

		/*$s = new SlideShowHandler();
		$s->set_album_id($album_id);
		$s->set_plugin_path($this->pluginobject->getPluginpath());
		$s->show_content();*/

		echo "<A NAME=\"ankermp\">\n";

		$page = ($_REQUEST['page'] ? $_REQUEST['page'] : 1);

		$a = new Album();
		$a->load($album_id);
		$c = new Controller();
		$photos = $c->get_all_photos_in_album($album_id);

		$photo_count = count($photos);

		if ($photo_count > 0) {
			if (!$this->the_one_and_only_album())
				echo "<A HREF=\"$url&username=".get_username($this->get_range_id())."#ankermp\">".makeButton("zurueck","img")."</A>\n";
			$count = 0;
			echo "<TABLE BORDER=\"0\" ALIGN=\"center\" STYLE=\"width:800px;\">\n";
			echo "  <TR>\n";
			echo "    <TD COLSPAN=\"4\" ALIGN=\"center\"><B>".htmlReady($a->get_titel())."</B></TD>\n";
			echo "  </TR>\n";
			echo "  <TR>\n";
			echo "    <TD COLSPAN=\"4\" ALIGN=\"center\"><FONT SIZE=\"-2\">".dgettext('mp',"von")." <A HREF=\"about.php?username=".get_username($a->get_user_id())."\">".get_fullname($a->get_user_id())."</A></FONT></TD>\n";
			echo "  </TR>\n";
			if ($a->get_untertitel() != "") {
				echo "  <TR>\n";
				echo "    <TD COLSPAN=\"4\" ALIGN=\"center\"><FONT SIZE=\"-1\"><B>".htmlReady($a->get_untertitel())."</B></FONT></TD>\n";
				echo "  </TR>\n";
			}
			if ($a->get_beschreibung() != "") {
				echo "  <TR>\n";
				echo "    <TD COLSPAN=\"4\" ALIGN=\"\"><DIV STYLE=\"font-size:smaller; text-align:left; border-color:gray; border-width:thin; border-style:dashed; margin:5px; padding:5px;\">".formatReady($a->get_beschreibung())."</DIV></TD>\n";
				echo "  </TR>\n";
			}
			echo "  <TR>\n";
			echo "    <TD COLSPAN=\"4\" ALIGN=\"right\">\n";
			if ($photo_count > $this->items_per_page) {
				for ($i=1; $i <= ceil(($photo_count / $this->items_per_page)); $i++)
					if ($page == $i)
						echo "<FONT SIZE=\"-2\">&nbsp;[$i]</FONT>\n";
					else
						echo "<FONT SIZE=\"-2\">&nbsp;<A HREF=\"$url&modus=view_album&album_id=".$a->get_album_id()."&username=".get_username($this->get_range_id())."&page=$i#ankermp\">$i</A></FONT>\n";
			} else echo "&nbsp;\n";
			echo "    </TD>\n";
			echo "  </TR>\n";
			echo "</TABLE>\n";

			$skipped = 0;
			$shown = 0;
			echo "<CENTER>\n";
			echo "<DIV STYLE=\"width:800px;\">\n";
			foreach ($photos as $p) {
				if ($page > 1 && $skipped != (($page-1) * $this->items_per_page)) {
					$skipped++;
					continue;
				}
				if ($shown == $this->items_per_page)
					continue;
				
				$shown++;

				$comment_count = $c->get_number_of_all_photo_comments($p->get_photo_id());

				//echo "      <DIV STYLE=\"float:left; overflow:hidden; text-align:center; width:170px; height:170px; max-width:170px; max-height:170px; margin:5px; padding:1px; border-color:gray; border-width:1px; border-style:solid\">\n";
				echo "      <DIV CLASS=\"pub_photo_frame_thumb\">\n";
				//echo "        <DIV STYLE=\"clear:both; position:relative; height:130px; text-align:center;\">\n";
				echo "        <DIV CLASS=\"pub_photo_frame_thumb_link\">\n";
				echo "          <A HREF=\"$url&photo_id=".$p->get_photo_id()."&modus=show_photo_maxsize&username=".get_username($this->get_range_id())."#ankermp\">";
				//echo "<IMG ID=\"p".$p->get_photo_id()."\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$p->get_photo_id()."\" BORDER=\"0\" ALT=\"".htmlReady($p->get_titel())."\" TITLE=\"".htmlReady($p->get_titel())."\" STYLE=\"position:absolute; top:1px; left:25px; clip:rect(0px, 120px, 120px, 0px);\">";
				echo "<IMG ID=\"p".$p->get_photo_id()."\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$p->get_photo_id()."\" BORDER=\"0\" ALT=\"".htmlReady($p->get_titel())."\" TITLE=\"".htmlReady($p->get_titel())."\" CLASS=\"pub_photo_frame_thumb_img\">";
				echo "</A>";
				echo "        </DIV>\n";
				//echo "        <DIV STYLE=\"clear:both; position:relative; text-align:center;\">\n";
				echo "        <DIV CLASS=\"pub_photo_frame_thumb_title\">\n";
				if (strlen($p->get_titel()) > 0)
					echo "        <FONT SIZE=\"-2\">".(htmlReady(strlen($p->get_titel())>30 ? substr($p->get_titel(),0,30)."..." : $p->get_titel()))."</FONT><BR>\n";
				if ($comment_count > 0)
                                        echo "        <FONT SIZE=\"-2\">$comment_count Kommentar".($comment_count>1?"e":"")."</FONT>\n";
				echo "        </DIV>\n";
				echo "      </DIV>\n";
				$count++;
			}
			echo "</DIV>\n";
/*
?><script type="text/javascript" language="javascript">
function browserWeiche() {
	if(document.ids)x='nc4';
	else if( document.all && !document.getElementById )x='ie4';
	else if( window.opera && !document.createElement )x='op5';
	else if( window.opera && window.getComputedStyle )  {
          if(document.createRange)x='op8';
            else if(window.navigate)x='op7.5';
                             else x='op7.2';                   }
	else if( window.opera && document.compatMode )x='op7';
	else if( window.opera && document.releaseEvents )x='op6';
	else if( document.contains && !window.opera )x='kq3';
	else if(window.pkcs11&&window.XML)x='f15';
	else if( window.getSelection && window.atob )x='nn7';
	else if( window.getSelection && !document.compatMode )x='nn6';
	else if( window.clipboardData && document.compatMode )
	  x=window.XMLHttpRequest? 'IE7' : 'IE6';
	else if( window.clipboardData ){x='ie5';
        if( !document.createDocumentFragment ) x+='.5';
        if( document.doctype && !window.print ) x+='m';}
	else if( document.getElementById && !document.all ) x='op4';
	else if( document.images && !document.all ) x='nn3';
	else if(document.clientWidth&&!window.RegExp)x='kq2';
	else x='???';

	return x;
}

function slideshow_prestart() {
	var weiche = browserWeiche();
	var slide = $('SlideShow'); 
	if (weiche.substring(0,2)=='IE') { 
		slide.style.left = (document.documentElement.clientWidth/2)+200+'px';
		slide.style.top=document.body.scrollTop+'px';
	} else {
		slide.style.left = (window.innerWidth/2)-400+'px';
		slide.style.top  = window.pageYOffset+'px';
	}
}

</script><?
*/
			echo "<DIV STYLE=\"clear:both; display:block;\">\n";
			/*echo "  <A HREF=\"javascript:start_slideshow();\" \n";
			echo "    onClick=\"slideshow_prestart();\"\n";
			echo "  >Slideshow starten</A>\n";*/
			$first_p = new Photo();
			$first_p->load($c->get_first_photo_id($album_id));
			echo "  <a href=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?photo_id=".$first_p->get_photo_id()."\" rel=\"lyteshow[slides]\" title=\"".htmlReady($first_p->get_titel())."\">".dgettext('mp',"Slideshow starten")."</a>\n";
			echo "</DIV>\n";
		
			$s = new SlideShowHandler();
			$s->set_album_id($album_id);
			$s->set_plugin_path($this->pluginobject->getPluginpath());
			$s->show_content();
		
			echo "</CENTER>\n";
		}

	}
	
	function admin_view_album($album_id) {


		$a = new Album();
		$a->load($album_id);
		$c = new Controller();
		$photos = $c->get_all_photos_in_album($album_id);

		$seminare = $c->get_seminare($album_id, $this->get_range_id());
		$current_sem_ranges = $a->get_current_ranges();

		$this->get_scriptaculous();

		echo "<TABLE BORDER=\"0\" WIDTH=\"100%\">\n";
                echo "  <TR>\n";
                echo "    <TD VALIGN=\"TOP\" CLASS=\"blank\">\n";

		echo "<A HREF=\"".$this->getLink($this->pluginobject,array())."\">".makeButton("zurueck","img")."</A>\n";

		echo "<CENTER>\n";
		echo "<DIV ID=\"album_edit\">\n";
		echo "<FORM NAME=\"edit_album\" METHOD=\"POST\" ACTION=\"".$this->getLink($this->pluginobject,array())."\">\n";
		echo "  <INPUT TYPE=\"hidden\" NAME=\"sortierung\" VALUE=\"\">\n";
		echo "  <INPUT TYPE=\"hidden\" NAME=\"modus\" VALUE=\"save_album\">\n";
		echo "  <INPUT TYPE=\"hidden\" NAME=\"album_id\" VALUE=\"$album_id\">\n";
		echo "  <INPUT TYPE=\"hidden\" NAME=\"photo_id\" VALUE=\"".$a->get_start_photo_id()."\">\n";
		//echo "<DIV STYLE=\"width:600px; margin:25px; padding:5px; border-color:red; border-width:thin; border-style:solid\">\n";
		echo "<DIV CLASS=\"adm_album_edit_body\">\n";
		echo "  <TABLE BORDER=\"0\" ALIGN=\"center\" WIDTH=\"600px\">\n";
		echo "    <TR><TD COLSPAN=\"2\" ALIGN=\"center\"><FONT SIZE=\"-1\" COLOR=\"gray\"><B>".dgettext('mp',"Album-Informationen")."</B></FONT></TD></TR>\n";
		echo "    <TR>\n";
		echo "      <TD><FONT SIZE=\"-1\"><B>".dgettext('mp',"Eigent&uuml;mer").":</B></FONT></TD>\n";
		echo "      <TD><FONT SIZE=\"-1\"><A HREF=\"about.php?username=".get_username($a->get_user_id())."\">".get_fullname($a->get_user_id())."</A></FONT></TD>\n";
		echo "    </TR>\n";
		echo "    <TR>\n";
		echo "      <TD><FONT SIZE=\"-1\"><B>".dgettext('mp',"Titel").":</B></FONT></TD>\n";
		echo "      <TD><INPUT TYPE=\"text\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\" NAME=\"titel\" VALUE=\"".htmlReady($a->get_titel())."\" STYLE=\"width:400px\" MAXLENGTH=\"255\"></TD>\n";
		echo "    </TR>\n";
		echo "    <TR>\n";
		echo "      <TD><FONT SIZE=\"-1\"><B>".dgettext('mp',"Untertitel").":</B></FONT></TD>\n";
		echo "      <TD><INPUT TYPE=\"text\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\" NAME=\"untertitel\" VALUE=\"".htmlReady($a->get_untertitel())."\" STYLE=\"width:400px\" MAXLENGTH=\"255\"></TD>\n";
		echo "    </TR>\n";
		echo "    <TR>\n";
		echo "      <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"Beschreibung").":</B></FONT></TD>\n";
		echo "      <TD><TEXTAREA NAME=\"beschreibung\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\" STYLE=\"width:400px; height:150px\">".htmlReady($a->get_beschreibung())."</TEXTAREA></TD>\n";
		echo "    </TR>\n";
		echo "    <TR>\n";
		echo "      <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"F&uuml;r andere sichtbar").":</B></FONT></TD>\n";
		echo "      <TD><INPUT TYPE=\"radio\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."'; ".($this->get_range_id() == $a->get_user_id() ? "$('pvisible_txt').style.color='black'; document.edit_album.portal_visible.disabled=false;\"":"")."\" NAME=\"public\" VALUE=\"1\" ".($a->get_public() == 1 ? "CHECKED" : "")."><FONT SIZE=\"-1\">".dgettext('mp',"Ja")."</FONT>  \n";
		echo "          <INPUT TYPE=\"radio\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."'; ".($this->get_range_id() == $a->get_user_id() ? "document.edit_album.portal_visible.checked=false; $('pvisible_txt').style.color='gray'; document.edit_album.portal_visible.disabled=true;\"":"")."\" NAME=\"public\" VALUE=\"0\" ".($a->get_public() == 0 ? "CHECKED" : "")."><FONT SIZE=\"-1\">".dgettext('mp',"Nein")."</FONT>\n";
		if ($this->get_range_id() == $a->get_user_id()) {
			echo "          <INPUT TYPE=\"checkbox\" NAME=\"portal_visible\" VALUE=\"1\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\" ".($a->get_public() == 0 ? "DISABLED":"")." ".($a->get_portal_visible() == 1 ? "CHECKED":"")."><SPAN ID=\"pvisible_txt\" STYLE=\"font-size:smaller; color:".($a->get_public() == 1 ? "black" : "gray")."\">".dgettext('mp',"auf der Portalseite sichtbar")."</SPAN>\n";
		}
		echo "      </TD>\n";
		echo "    </TR>\n";
		echo "    <TR>\n";
		echo "      <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"Kommentare zulassen").":</B></FONT></TD>\n";
		echo "      <TD><INPUT TYPE=\"radio\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\" NAME=\"allow_comments\" VALUE=\"1\" ".($a->get_allow_comments() == 1 ? "CHECKED" : "")."><FONT SIZE=\"-1\">".dgettext('mp',"Ja")."</FONT>  \n";
		echo "          <INPUT TYPE=\"radio\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\" NAME=\"allow_comments\" VALUE=\"0\" ".($a->get_allow_comments() == 0 ? "CHECKED" : "")."><FONT SIZE=\"-1\">".dgettext('mp',"Nein")."</FONT></TD>\n";
		echo "    </TR>\n";

		if ($this->get_range_id() != $a->get_user_id()) {
			$edit_mode = $a->get_edit_mode($this->get_range_id());
			echo "    <TR>\n";
			echo "      <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"Zu bearbeiten ab Status").":</B></FONT></TD>\n";
			echo "      <TD><SELECT NAME=\"edit_mode\" STYLE=\"size:1;\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\">\n";
			echo "          <OPTION VALUE=\"dozent\" ".($edit_mode == "dozent" ? "SELECTED":"").">Dozent</option>\n";
			echo "          <OPTION VALUE=\"tutor\" ".($edit_mode == "tutor" ? "SELECTED":"").">Tutor</option>\n";
			echo "          <OPTION VALUE=\"autor\" ".($edit_mode == "autor" ? "SELECTED":"").">Autor</option>\n";
			echo "        </SELECT>\n";
			echo "      </TD>\n";
			echo "    <TR>\n";
		}

		if (count($seminare) > 0 && $this->get_range_id() == $a->get_user_id()) {
?><script type="text/javascript" language="javascript">
var show_seminare_link = false;
var show_seminare_copy = false;
</script><?
			echo "    <TR>\n";
			echo "      <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"In Veranstaltung einh&auml;ngen").":</B></FONT></TD>\n";
			echo "      <TD>\n";
			echo "        <A HREF=\"javascript:void(0);\" onClick=\"if (!show_seminare_link){ $('pfeil').src='".$GLOBALS['ASSETS_URL']."/images/up.gif'; show_seminare_link=true;new Effect.SlideDown('seminare_link');}else{ $('pfeil').src='".$GLOBALS['ASSETS_URL']."/images/down.gif';show_seminare_link=false;new Effect.SlideUp('seminare_link');}\"><IMG SRC=\"".$GLOBALS['ASSETS_URL']."/images/down.gif\" BORDER=\"\0\" ID=\"pfeil\"></A><SPAN STYLE=\"font-size:smaller;\">&nbsp;<B>".(count($current_sem_ranges)-1)."</B> ".dgettext('mp',"Veranstaltungen selektiert")."</SPAN>\n";
			echo "      </TD>\n";
			echo "    </TR>\n";
			echo "    <TR>\n";
			echo "      <TD COLSPAN=\"2\">\n";
			echo "        <DIV ID=\"seminare_link\" STYLE=\"display:none; width:550px; max-height:200px; overflow:scroll; border:1px solid #840; margin:1em;\">\n";
			echo "          <DIV CLASS=\"adm_warning_txt\" STYLE=\"font-size:smaller;\">".dgettext('mp',"Beachten Sie: jeder Dozent in der entsprechenden Veranstaltung kann ein eingeh&auml;ngtes Album bearbeiten!")."</DIV>\n";
			foreach ($seminare as $s)
				echo "        <INPUT TYPE=\"checkbox\" NAME=\"seminar_ids[]\" VALUE=\"".$s['seminar_id']."\" ".($s['verbunden']==1?"CHECKED":"")." onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\"><SPAN STYLE=\"font-size:smaller;\">&nbsp;".get_semester($s['seminar_id'])." ".$s['vak']." ".$s['name']."<BR></SPAN>\n";
			echo "        </DIV>\n";
			echo "      </TD>\n";
			echo "    </TR>\n";
			echo "    <TR>\n";
			echo "      <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"In Veranstaltung kopieren").":</B></FONT></TD>\n";
			echo "      <TD>\n";
			echo "        <A HREF=\"javascript:void(0);\" onClick=\"if (!show_seminare_copy){ $('pfeil2').src='".$GLOBALS['ASSETS_URL']."/images/up.gif'; show_seminare_copy=true;new Effect.SlideDown('seminare_copy');}else{ $('pfeil2').src='".$GLOBALS['ASSETS_URL']."/images/down.gif';show_seminare_copy=false;new Effect.SlideUp('seminare_copy');}\"><IMG SRC=\"".$GLOBALS['ASSETS_URL']."/images/down.gif\" BORDER=\"\0\" ID=\"pfeil2\"></A>\n";
			echo "      </TD>\n";
			echo "    </TR>\n";
			echo "    <TR>\n";
			echo "      <TD COLSPAN=\"2\">\n";
			echo "        <DIV ID=\"seminare_copy\" STYLE=\"display:none; width:550px; max-height:200px; overflow:scroll; border:1px solid #840; margin:1em;\">\n";
			echo "          <DIV CLASS=\"adm_warning_txt\" STYLE=\"font-size:smaller;\">".dgettext('mp',"Beachten Sie: durch das Kopieren erh&ouml;ht sich Ihr Speicherberbrauch!")."</DIV>\n";
			foreach ($seminare as $s)
				echo "        <INPUT TYPE=\"checkbox\" NAME=\"seminar_copy_ids[]\" VALUE=\"".$s['seminar_id']."\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\"><SPAN STYLE=\"font-size:smaller;\">&nbsp;".get_semester($s['seminar_id'])." ".$s['vak']." ".$s['name']."<BR></SPAN>\n";
			echo "        </DIV>\n";
			echo "      </TD>\n";
			echo "    </TR>\n";
}

		echo "    <TR><TD COLSPAN=\"2\" ALIGN=\"center\"><SPAN STYLE=\"font-weight:bold; font-size:smaller;\"><IMG SRC=\"".$GLOBALS['ASSETS_URL']."/images/cont_folder_add.gif\" BORDER=\"0\"> <A HREF=\"".$this->getLink($this->pluginobject,array("modus"=>"add_photos", "album_id"=>$album_id))."\">".dgettext('mp',"Fotos hinzuf&uuml;gen")."</A></SPAN></TD></TR>\n";
		echo "  </TABLE>\n";
		echo "</DIV>\n";
		echo "</DIV>\n";

		echo "<DIV>\n";
		echo "  <INPUT TYPE=\"image\" ".makeButton("speichern","src").">\n";
		echo "  <A HREF=\"".$this->getLink($this->pluginobject,array("modus"=>"del_album","album_id"=>$a->get_album_id()))."\" onClick=\"return confirm('".dgettext('mp',"Soll das Album wirklich gel&ouml;scht werden?")."');\"><IMG BORDER=\"0\" ".makeButton("loeschen","src")."></A>\n";
		//echo "  <A HREF=\"".$this->getLink($this->pluginobject,array("modus"=>"scorm_export","album_id"=>$a->get_album_id(),"titel"=>urlencode($a->get_titel())))."\"><IMG SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/images/scorm_icon.jpg\" BORDER=\"0\" ALT=\"Album in eine SCORM-Datei exportieren\" TITLE=\"Album in eine SCORM-Datei exportieren\"></A><BR>\n";
		if (count($photos) > 0)
			echo "  <A HREF=\"".$this->getLink($this->pluginobject,array("modus"=>"scorm_export","album_id"=>$a->get_album_id(),"titel"=>urlencode($a->get_titel())))."\"><IMG BORDER=\"0\" ".makeButton("export","src")."></A><BR>\n";
		echo "  <p id=\"sortinfo\" CLASS=\"adm_warning_txt\"></p>\n";
		echo "</DIV>\n";

		echo "</CENTER>\n";


		if (count($photos) > 0) {
			$count = 0;
			echo "<CENTER>\n";
			echo "<DIV CLASS=\"adm_info_text\">\n";
			echo dgettext('mp',"Hier k&ouml;nnen Sie die Fotos mit der Maus in ihrer Position verschieben.")."\n";
			echo "</DIV>\n";
			echo "<DIV id=\"photos\" STYLE=\"width:100%\">\n";
			foreach ($photos as $p) {

				$comment_count = $c->get_number_of_all_photo_comments($p->get_photo_id());

				//echo "      <DIV id=\"bla_".$p->get_photo_id()."\" STYLE=\"float:left; overflow:hidden; padding:1px; margin:5px; border-color:gray; border-width:1px; border-style:solid; max-height:180px; max-width:180px; height:180px; width:180px;\">\n";
				echo "      <DIV id=\"bla_".$p->get_photo_id()."\" CLASS=\"adm_photo_frame_thumb\">\n";
				//echo "      <DIV STYLE=\"clear:both; text-align:center;\">\n";
				echo "      <DIV CLASS=\"adm_photo_frame_thumb_radio\">\n";
				echo "        <INPUT TYPE=\"radio\" NAME=\"tmp_photo_id\" VALUE=\"".$p->get_photo_id()."\" ".($a->get_start_photo_id() == $p->get_photo_id() ? "CHECKED" :"")." onClick=\"document.edit_album.photo_id.value='".$p->get_photo_id()."';\" onChange=\"$('sortinfo').innerHTML = '".$this->save_txt."';\">\n";
				echo "      </DIV>\n";
				//echo "      <DIV STYLE=\"clear:both; position:relative; height:120px; text-align:center;\">\n";
				echo "      <DIV CLASS=\"adm_photo_frame_thumb_link\">\n";
				echo "        <A id=\"photolink_".$p->get_photo_id()."\" HREF=\"".$this->getLink($this->pluginobject,array("photo_id"=>$p->get_photo_id(), "modus"=>"show_photo_maxsize"),$this->view)."\" onClick=\"return sortableReordered;\">";
				echo "<IMG ID=\"img_".$p->get_photo_id()."\" CLASS=\"adm_photo_frame_thumb_img\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$p->get_photo_id()."\" BORDER=\"0\" ALT=\"".htmlReady($p->get_titel())."\" TITLE=\"".htmlReady($p->get_titel())."\" onMouseOver=\"sortableReordered=true;\">";
				echo "</A>\n";
				?>
	<script type=\"text/javascript" language="javascript">
	Event.observe('photolink_<?=$p->get_photo_id()?>', 'click', function(event) { checkSortable(event); });
	</script>
				<?
				echo "\n";
				echo "      </DIV>\n";
				//echo "      <DIV STYLE=\"clear:both; position:relative; text-align:center;\">\n";
				echo "      <DIV CLASS=\"adm_photo_frame_thumb_title\">\n";
				if (strlen($p->get_titel()) > 0) {
					echo "        <FONT SIZE=\"-2\">".(htmlReady(strlen($p->get_titel())>30 ? substr($p->get_titel(),0,30)."..." : $p->get_titel()))."</FONT><BR>\n";
				}
				if ($comment_count > 0) {
					echo "        <FONT SIZE=\"-2\">$comment_count ".($comment_count>1?dgettext('mp',"Kommentare"):dgettext('mp',"Kommentar"))."</FONT>\n";
				}
				echo "      </DIV>\n";
				echo "      </DIV>\n";
				$count++;
			}
			echo "</DIV>\n";
			echo "</CENTER>\n";
		}
		
		?>

<script type="text/javascript" language="javascript">
 // <![CDATA[
   sortableReordered = true;

function checkSortable(event)
{
    if (sortableReordered) {
         Event.stop(event);
         sortableReordered = false;
    }
}

   Sortable.create("photos",
     {tag:'div',overlap:'horizontal',constraint: false,
      onUpdate:function(){
	sortableReordered = false;
	document.edit_album.sortierung.value = Sortable.serialize("photos");
	new Ajax.Request("<?=$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()?>/update_sort.php?album_id=<?=$a->get_album_id().'&range_id='.$this->get_range_id()?>",
        {
            method: "post",
            parameters: { sortierung: Sortable.serialize("photos") },
	    onFailure: function(t) {alert('Error ' + t.status + ' -- ' + t.statusText); },
	    /*onSuccess: function(t) {alert(t.responseText); },*/
	    on404: function(t) {alert('Error 404: location "' + t.statusText + '" was not found.'); }
        }
        );
      }
    })
 // ]]>
 </script>
<?

		echo "</FORM>\n";

		echo "    </TD>\n";
                echo "    <TD CLASS=\"blank\" WIDTH=\"2%\" ALIGN=\"CENTER\" VALIGN=\"TOP\">".$this->createInfoBox("modules.jpg")."</TD>\n";
                echo "  </TR>\n";
                echo "</TABLE>\n";

	}

	function public_show_foto_maxsize($photo_id) {
		global $PHP_SELF, $SessSemName;

		$url = "";

		if (!$this->get_homepage_view())
			$url = $this->getLink($this->pluginobject,array("a"=>"1"));
		else $url = $PHP_SELF . "?a=1";

		echo "<A NAME=\"ankermp\">\n";

		$this->get_scriptaculous();

		$p = new Photo();
		$p->load($photo_id);

		$a = new Album();
		$a->load($p->get_album_id());
	
	        echo "<CENTER>\n";
	        echo "<TABLE BORDER=\"0\" WIDTH=\"98%\" CELLSPACING=\"0\" CELLPADDING=\"1\">\n";
	
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"left\">&nbsp;<A HREF=\"$url&username=".get_username($this->get_range_id())."&modus=view_album&album_id=".$p->get_album_id()."#ankermp\">".makeButton("zurueck","img")."</A></TD>\n";
	        echo "  </TR>\n";

		echo "  <TR>\n";
		echo "    <TD ALIGN=\"center\" STYLE=\"font-size:smaller;\">\n";
		$prev_id = Album::get_prev_photo_id($p->get_album_id(), $p->get_photo_id());
		$next_id = Album::get_next_photo_id($p->get_album_id(), $p->get_photo_id());
		if ($prev_id)
			echo "     <A HREF=\"$url&photo_id=".$prev_id."&modus=show_photo_maxsize&username=".get_username($this->get_range_id())."#ankermp\">".dgettext('mp',"voriges Foto")."</A>\n";
		if ($prev_id && $next_id)
			echo "     &nbsp;|&nbsp;\n";
		if ($next_id)
			echo "     <A HREF=\"$url&photo_id=".$next_id."&modus=show_photo_maxsize&username=".get_username($this->get_range_id())."#ankermp\">".dgettext('mp',"n&auml;chstes Foto")."</A>\n";
		echo "    </TD>\n";
		echo "  </TR>\n";	

	        echo "  <TR>\n";
	        //echo "    <TD ALIGN=\"center\"><B>".htmlReady($p->get_titel())."</B><BR><FONT SIZE=\"-2\">von <A HREF=\"about.php?username=".get_username($p->get_user_id())."\">".get_fullname($p->get_user_id())."</A></FONT></TD>\n";
	        echo "    <TD ALIGN=\"center\"><DIV STYLE=\"margin:5px; padding:5px;\"><B>".htmlReady($p->get_titel())."</B></DIV><FONT SIZE=\"-2\">".dgettext('mp',"von")." <A HREF=\"about.php?username=".get_username($p->get_user_id())."\">".get_fullname($p->get_user_id())."</A></FONT></TD>\n";
		echo "  </TR>\n";
	        
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"center\"><FONT SIZE=\"-1\">&nbsp;</FONT></TD>\n";
	        echo "  </TR>\n";
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"center\"><IMG SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=max&photo_id=".$p->get_photo_id()."\" BORDER=\"0\" ALT=\"".htmlReady($p->get_titel())."\" TITLE=\"".htmlReady($p->get_titel())."\"></TD>\n";
	        echo "  </TR>\n";
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"center\"><FONT SIZE=\"-1\">&nbsp;</FONT></TD>\n";
	        echo "  </TR>\n";
		if (trim($p->get_beschreibung()) != "") {
		        echo "  <TR>\n";
		        //echo "    <TD ALIGN=\"center\"><SPAN STYLE=\"max-width:600px; width:600px; text-align:left; font-size:smaller;\">".formatReady($p->get_beschreibung())."</SPAN></TD>\n";
	        	//echo "    <TD ALIGN=\"center\"><SPAN CLASS=\"pub_photo_max_desc_body\"><DIV CLASS=\"pub_photo_max_desc_body\" STYLE=\"max-width:800px; text-align:left; border-color:gray; border-width:thin; border-style:dashed; margin:5px; padding:5px;\">".formatReady($p->get_beschreibung())."</DIV></SPAN></TD>\n";
		        echo "    <TD ALIGN=\"center\"><DIV CLASS=\"pub_photo_max_desc_body\" STYLE=\"max-width:800px; text-align:left; border-color:gray; border-width:thin; border-style:dashed; margin:5px; padding:5px;\">".formatReady($p->get_beschreibung())."</DIV></TD>\n";
		        echo "  </TR>\n";
		}
	
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"center\"><FONT SIZE=\"-1\">&nbsp;</FONT></TD>\n";
	        echo "  </TR>\n";
		echo "</TABLE>\n";	
	
		if ($a->get_allow_comments() == 1) {
?><script type="text/javascript" language="javascript">
var show_comment_add = false;
</script><?
	        	echo "  <DIV ID=\"comment_hint\">\n";
		        echo "    <A STYLE=\"font-size:smaller;\" HREF=\"javascript:void(0);\" onClick=\"if (!show_comment_add){new Effect.SlideUp('comment_hint');new Effect.SlideDown('comment_add');show_comment_add=true;}\" onMouseOver=\"if (!show_comment_add){new Effect.SlideUp('comment_hint');new Effect.SlideDown('comment_add');show_comment_add=true;}\">".dgettext('mp',"Kommentar schreiben")."&nbsp;<IMG SRC=\"".$GLOBALS['ASSETS_URL']."images/move_down.gif\" BORDER=0></A>\n";
		        echo "  </DIV>\n";
			
			echo "  <DIV ID=\"comment_add\" STYLE=\"display:none;\">\n";
		        echo "  <FORM NAME=\"add_comment\" METHOD=\"POST\" ACTION=\"$url&username=".get_username($this->get_range_id())."#ankermp\">\n";
		        echo "    <INPUT TYPE=\"hidden\" NAME=\"modus\" VALUE=\"make_comment\">\n";
	        	echo "    <INPUT TYPE=\"hidden\" NAME=\"photo_id\" VALUE=\"".$p->get_photo_id()."\">\n";
		        echo "    <TABLE BORDER=\"0\"><TR><TD><B><FONT SIZE=\"-1\">".dgettext('mp',"Kommentieren").":&nbsp;</FONT></B><INPUT TYPE=\"TEXT\" NAME=\"comment\" VALUE=\"\" SIZE=\"50\" MAXLENGTH=\"255\">&nbsp;</TD><TD><INPUT TYPE=\"image\" ".makeButton("abschicken","SRC")."></TD></TR></TABLE>\n";
		        echo "  </FORM>\n";
			echo "  </DIV>\n";
		}
	        echo "</CENTER>\n";

		if ($a->get_allow_comments() == 1) {
			$c = new Controller();		
			$comments = $c->get_all_photo_comments($p->get_photo_id());
			if (count($comments) > 0) {
				echo "<CENTER>\n";
				foreach ($comments as $comment) {
					//echo "      <DIV STYLE=\"text-align:left; margin:5px; padding:5px; border-color:black; border-width:1px; border-style:solid; width:50%;\">\n";
					echo "      <DIV CLASS=\"pub_photo_max_comment_body\">\n";
					echo "        <FONT SIZE=\"-2\"><A HREF=\"about.php?username=".get_username($comment->get_user_id())."\">".get_fullname($comment->get_user_id())."</A> ".dgettext('mp',"schrieb am")." ".date("d.m.Y H:i", $comment->get_mkdate()).":</FONT><FONT SIZE=\"-1\"><BR>".formatReady($comment->get_comment())."</FONT>\n";
					echo "      </DIV>\n";
				}
				echo "</CENTER>\n";
			}
		}
	}

	function admin_show_foto_maxsize($photo_id) {

		$c = new Controller();

		$p = new Photo();
		$p->load($photo_id);

		$a = new Album();
		$a->load($p->get_album_id());

		$this->get_scriptaculous();
	
		echo "<TABLE BORDER=\"0\" WIDTH=\"100%\">\n";
                echo "  <TR>\n";
                echo "    <TD VALIGN=\"TOP\" CLASS=\"blank\">\n";

	        echo "<CENTER>\n";
	        echo "<TABLE BORDER=\"0\" WIDTH=\"98%\" CELLSPACING=\"0\" CELLPADDING=\"1\">\n";
	
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"left\">&nbsp;<A HREF=\"".$this->getLink($this->pluginobject,array("modus"=>"view_album","album_id"=>$a->get_album_id()))."\">".makeButton("zurueck","img")."</A></TD>\n";
	        echo "  </TR>\n";

	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"center\" STYLE=\"font-size:smaller;\">\n";
		$prev_id = Album::get_prev_photo_id($p->get_album_id(), $p->get_photo_id());
		$next_id = Album::get_next_photo_id($p->get_album_id(), $p->get_photo_id());
		if ($prev_id)
			echo "     <A HREF=\"".$this->getLink($this->pluginobject,array("photo_id"=>$prev_id, "modus"=>"show_photo_maxsize"),$this->pluginobject->view)."\">".dgettext('mp',"voriges Foto")."</A>\n";
		if ($prev_id && $next_id)
			echo "     &nbsp;|&nbsp;\n";
		if ($next_id)
			echo "     <A HREF=\"".$this->getLink($this->pluginobject,array("photo_id"=>$next_id, "modus"=>"show_photo_maxsize"),$this->pluginobject->view)."\">".dgettext('mp',"n&auml;chstes Foto")."</A>\n";
		echo "    </TD>\n";
	        echo "  </TR>\n";
	
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"center\"><DIV STYLE=\"margin:5px; padding:5px;\"><B>".htmlReady($p->get_titel())."</B></DIV><FONT SIZE=\"-2\">".dgettext('mp',"von")." <A HREF=\"about.php?username=".get_username($p->get_user_id())."\">".get_fullname($p->get_user_id())."</A></FONT></TD>\n";
		echo "  </TR>\n";
	        
	        echo "  <TR>\n";
	        //echo "    <TD ALIGN=\"center\"><FONT SIZE=\"-1\">&nbsp;</FONT></TD>\n";
	        echo "    <TD ALIGN=\"center\">\n";
		echo "      <DIV STYLE=\"margin:5px; padding:5px;\">\n";
		echo "      <A onClick=\"return confirm('".dgettext('mp',"Drehung nach links durchf&uuml;hren?")."');\" HREF=\"".$this->getLink($this->pluginobject,array("photo_id"=>$p->get_photo_id(), "modus"=>"show_photo_maxsize", "rotate"=>"left"),$this->pluginobject->view)."\"><IMG SRC=\"".$this->pluginobject->getPluginpath()."/images/roter-pfeil-links.gif\" BORDER=\"0\" ALT=\"".dgettext('mp',"nach links drehen")."\" TITLE=\"".dgettext('mp',"nach links drehen")."\"></A>&nbsp;\n";
		echo "      <A onClick=\"return confirm('".dgettext('mp',"Drehung nach rechts durchf&uuml;hren?")."');\" HREF=\"".$this->getLink($this->pluginobject,array("photo_id"=>$p->get_photo_id(), "modus"=>"show_photo_maxsize", "rotate"=>"right"),$this->pluginobject->view)."\"><IMG SRC=\"".$this->pluginobject->getPluginpath()."/images/roter-pfeil-rechts.gif\" BORDER=\"0\" ALT=\"".dgettext('mp',"nach rechts drehen")."\" TITLE=\"".dgettext('mp',"nach rechts drehen")."\"></A>\n";
		echo "      </DIV>\n";
		echo "    </TD>\n";
	        echo "  </TR>\n";
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"center\"><IMG ID=\"photo\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=max&photo_id=".$p->get_photo_id()."\" BORDER=\"0\" ALT=\"".htmlReady($p->get_titel())."\" TITLE=\"".htmlReady($p->get_titel())."\"></TD>\n";
	        echo "  </TR>\n";
	        echo "  <TR>\n";
	        echo "    <TD ALIGN=\"center\"><FONT SIZE=\"-1\">&nbsp;</FONT></TD>\n";
	        echo "  </TR>\n";
		echo "</TABLE>\n";

		$img = imagecreatefromstring(base64_decode($p->get_file_content()));
		echo "<SPAN STYLE=\"font-size:smaller;\">".imagesx($img)."x".imagesy($img)."</SPAN>\n";

		//echo "  <DIV STYLE=\"font-size:smaller; max-width:600px; width:600px; text-align:left;\">\n";
		/*echo "  <DIV CLASS=\"adm_photo_max_desc_body\">\n";
		if ($p->get_beschreibung() == "")
			echo "<SPAN STYLE=\"font-size:smaller\">&lt;Keine Beschreibung vorhanden&gt;</SPAN><BR>\n";
		else
			echo htmlReady($p->get_beschreibung())."<BR>\n";
		echo "  </DIV>\n";*/

		echo "      <P id=\"sortinfo\" CLASS=\"adm_warning_txt\"></P>\n";

		echo "    <DIV ID=\"edit_photo\">\n";
		echo "      <FORM NAME=\"poto_edit\" METHOD=\"POST\" ACTION=\"".$this->getLink($this->pluginobject,array())."\">\n";
		echo "      <INPUT TYPE=\"hidden\" NAME=\"modus\" VALUE=\"save_photo\">\n";
		echo "      <INPUT TYPE=\"hidden\" NAME=\"photo_id\" VALUE=\"".$p->get_photo_id()."\">\n";
		//echo "      <DIV STYLE=\"width:600px; margin:25px; padding:5px; border-color:red; border-width:thin; border-style:solid\">\n";
		echo "      <DIV CLASS=\"adm_photo_max_edit_body\">\n";
		echo "        <TABLE BORDER=\"0\" ALIGN=\"center\">\n";
		echo "          <TR>\n";
		echo "            <TD><FONT SIZE=\"-1\"><B>".dgettext('mp',"Titel").":</B></FONT></TD>\n";
		echo "            <TD><INPUT TYPE=\"text\" NAME=\"titel\" VALUE=\"".htmlReady($p->get_titel())."\" STYLE=\"width:500px\" MAXLENGTH=\"255\"></TD>\n";
		echo "         </TR>\n";
		echo "         <TR>\n";
		echo "           <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"Beschreibung").":</B></FONT></TD>\n";
		echo "           <TD><TEXTAREA NAME=\"beschreibung\" STYLE=\"width:500px; height:150px\">".htmlReady($p->get_beschreibung())."</TEXTAREA></TD>\n";
		echo "         </TR>\n";

?><script type="text/javascript" language="javascript">
var show_photo_move = false;
</script><?

		$alt_ranges = $c->get_alternative_ranges($p->get_photo_id());
		if (count($alt_ranges) > 0) {
			echo "    <TR>\n";
			echo "      <TD VALIGN=\"TOP\"><FONT SIZE=\"-1\"><B>".dgettext('mp',"Verschieben nach").":</B></FONT></TD>\n";
			echo "      <TD>\n";
			echo "        <A HREF=\"javascript:void(0);\" onClick=\"if (!show_photo_move){ $('pfeil2').src='".$GLOBALS['ASSETS_URL']."/images/up.gif'; show_photo_move=true;new Effect.SlideDown('photo_move');}else{ $('pfeil2').src='".$GLOBALS['ASSETS_URL']."/images/down.gif';show_photo_move=false;new Effect.SlideUp('photo_move');}\"><IMG SRC=\"".$GLOBALS['ASSETS_URL']."/images/down.gif\" BORDER=\"\0\" ID=\"pfeil2\"></A>\n";
			echo "      </TD>\n";
			echo "    </TR>\n";
			echo "    <TR>\n";
			echo "      <TD COLSPAN=\"2\">\n";
			echo "        <DIV ID=\"photo_move\" STYLE=\"display:none; width:590px; max-height:200px; overflow:scroll; border:1px solid #840; margin:1em; font-size:smaller;\">\n";
			foreach ($alt_ranges as $r) {
				echo "        <INPUT TYPE=\"radio\" NAME=\"photo2album_move_id\" VALUE=\"".$r['album_id']."\" onClick=\"$('sortinfo').innerHTML = '".$this->save_txt."';\">\n";
				echo "        ".htmlReady($r['titel']);
				echo "        <SPAN STYLE=\"font-size:smaller;\">&nbsp;(";
				if ($r['range_id']==$p->get_user_id()) 
					echo "Homepage";
				else {
					$sem = get_object_name($r['range_id'],"sem");
					echo get_semester($r['range_id']).": ".$sem['name'];
				}

				echo ")<BR></SPAN>\n";
			}
			echo "        </DIV>\n";
			echo "      </TD>\n";
			echo "    </TR>\n";
		}

		echo "         <TR>\n";
		echo "           <TD COLSPAN=\"2\" ALIGN=\"center\"><INPUT TYPE=\"image\" ".makeButton("speichern","src").">\n";
		echo "           <A HREF=\"".$this->getLink($this->pluginobject,array("modus"=>"del_photo","photo_id"=>$p->get_photo_id(),"album_id"=>$p->get_album_id()))."\" onClick=\"return confirm('".dgettext('mp',"Soll das Foto wirklich gel&ouml;scht werden?")."');\"><IMG ".makeButton("loeschen","src")." BORDER=\"0\"></A>\n";
		echo "           </TD>\n";
		echo "         </TR>\n";
		echo "       </TABLE>\n";
		echo "      </DIV>\n";
		echo "      </FORM>\n";
		echo "    </DIV>\n";
	
		if ($a->get_allow_comments() == 1) {
?><script type="text/javascript" language="javascript">
var show_comment_add = false;
</script><?

	        	echo "  <DIV ID=\"comment_hint\">\n";
		        echo "    <A STYLE=\"font-size:smaller;\" HREF=\"javascript:void(0);\" onClick=\"if (!show_comment_add){new Effect.SlideUp('comment_hint');new Effect.SlideDown('comment_add');show_comment_add=true;}\" onMouseOver=\"if (!show_comment_add){new Effect.SlideUp('comment_hint');new Effect.SlideDown('comment_add');show_comment_add=true;}\">".dgettext('mp',"Kommentar schreiben")."&nbsp;<IMG SRC=\"".$GLOBALS['ASSETS_URL']."images/move_down.gif\" BORDER=0></A>\n";
		        echo "  </DIV>\n";

			echo "  <DIV ID=\"comment_add\" STYLE=\"display:none;\">\n";
		        echo "  <FORM NAME=\"add_comment\" METHOD=\"POST\" ACTION=\"".$this->getLink($this->pluginobject,array())."\">\n";
		        echo "    <INPUT TYPE=\"hidden\" NAME=\"modus\" VALUE=\"make_comment\">\n";
	        	echo "    <INPUT TYPE=\"hidden\" NAME=\"photo_id\" VALUE=\"".$p->get_photo_id()."\">\n";
		        echo "    <TABLE BORDER=\"0\"><TR><TD><B><FONT SIZE=\"-1\">".dgettext('mp',"Kommentieren").":&nbsp;</FONT></B><INPUT TYPE=\"TEXT\" NAME=\"comment\" VALUE=\"\" SIZE=\"50\" MAXLENGTH=\"255\">&nbsp;</TD><TD><INPUT TYPE=\"image\" ".makeButton("abschicken","SRC")."></TD></TR></TABLE>\n";
		        echo "  </FORM>\n";
			echo "  </DIV>\n";
		}
	        echo "</CENTER>\n";

		$comments = $c->get_all_photo_comments($p->get_photo_id());
		if (count($comments) > 0) {
			echo "<CENTER>\n";
			echo "<DIV STYLE=\"width:530px;\">\n";
			foreach ($comments as $comment) {
				//echo "      <DIV STYLE=\"text-align:left; float:left; margin:1px; padding:1px; border-color:black; border-width:thin; border-style:solid; width:500px;\">\n";
				echo "      <DIV CLASS=\"adm_photo_max_comment_body\">\n";
				echo "        <FONT SIZE=\"-2\"><A HREF=\"about.php?username=".get_username($comment->get_user_id())."\">".get_fullname($comment->get_user_id())."</A> ".dgettext('mp',"schrieb am")." ".date("d.m.Y H:i", $comment->get_mkdate()).":</FONT><BR><FONT SIZE=\"-1\">".formatReady($comment->get_comment())."</FONT>\n";
				echo "      </DIV>\n";
				echo "      <DIV STYLE=\"float:left;\">\n";
				echo "        <A HREF=\"".$this->getLink($this->pluginobject,array("modus"=>"del_comment","photo_id"=>$p->get_photo_id(),"comment_id"=>$comment->get_comment_id()))."\" onClick=\"return confirm('".dgettext('mp',"Soll der Kommentar wirklich gel&ouml;scht werden?")."');\"><IMG SRC=\"".$GLOBALS['ASSETS_URL']."/images/trash.gif\" ALT=\"".dgettext('mp',"Kommentar l&ouml;schen")."\" TITLE=\"".dgettext('mp',"Kommentar l&ouml;schen")."\" BORDER=\"0\"></A>\n";
				echo "      </DIV>\n";
			}
			echo "</DIV>\n";
			echo "</CENTER>\n";
		}

		echo "    </TD>\n";
                echo "    <TD CLASS=\"blank\" WIDTH=\"2%\" ALIGN=\"CENTER\" VALIGN=\"TOP\">".$this->createInfoBox("modules.jpg")."</TD>\n";
                echo "  </TR>\n";
                echo "</TABLE>\n";
	}


	function public_show_albums() {
		global $PHP_SELF, $SessSemName;

		$url = "";

		if (!$this->get_homepage_view())
			$url = $this->getLink($this->pluginobject,array())."?";
		else $url = $PHP_SELF."?a=1";

		$this->get_scriptaculous();

		echo "<A NAME=\"ankermp\">\n";

		$c = new Controller();
		$albums = $c->get_all_albums($this->get_range_id());
		if (count($albums) > 0) {
?><script type="text/javascript">
var id_current = 0;
var start_id = '';
</script>
<?
			echo "<TABLE BORDER=\"0\" ALIGN=\"center\">\n";
			$count = 0;
			echo "  <TR>\n";
			foreach ($albums as $a) {

				if ($a->get_public() == 0)
                                        continue;


?><script type="text/javascript">

function show_<?=$a->get_album_id()?> ()
{
 if (start_id!='<?=$a->get_album_id()?>') return false;
 var t_img = new Array(); 
 <?
 				$photos = $c->get_all_photos_in_album($a->get_album_id());
				if (count($photos) > 0) {
					$ind = 0;
					foreach ($photos as $p) {
						echo "t_img[$ind] = \"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$p->get_photo_id()."\";\n";
						$ind++;
					}
				}
 ?>

 var img = $('slideshow_<?=$a->get_album_id()?>');

   Element.hide('slideshow_<?=$a->get_album_id()?>');
   img.src = '';
   if (id_current < (t_img.length-1)) id_current++;
   else id_current = 0;
   img.className = 'pub_album_body_img';
   img.src = t_img[id_current];
   new Effect.Appear('slideshow_<?=$a->get_album_id()?>');

 window.setTimeout("show_<?=$a->get_album_id()?>()",5000);
}
</script>
<?

				if ($count == 4) {
					$count = 0;
					echo "  </TR>\n";
					echo "  <TR>\n";
				}
				echo "  <TD WIDTH=\"160px\" ALIGN=\"center\">\n";
				//echo "    <DIV STYLE=\"width:160px; height:160px; margin:1px; padding:1px; border-color:gray; border-width:1px; border-style:solid\">\n";
				echo "    <DIV CLASS=\"pub_album_body\">\n";
				//echo "      <DIV STYLE=\"clear:both; position:relative; height:130px; text-align:center;\">\n";
				echo "      <DIV CLASS=\"pub_album_body_link\">\n";
				echo "        <A HREF=\"$url&modus=view_album&album_id=".$a->get_album_id()."&username=".get_username($this->get_range_id())."#ankermp\">\n";
				if ($a->get_start_photo_id() != "")
					//echo "        <IMG onMouseOver=\"if (start_id!='".$a->get_album_id()."'){ start_id='".$a->get_album_id()."'; show_".$a->get_album_id()."();}\" ID=\"slideshow_".$a->get_album_id()."\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$a->get_start_photo_id()."\" BORDER=\"0\" STYLE=\"position:absolute; top:1px; left:20px; clip:rect(0px, 120px, 120px, 0px);\">\n";
					echo "        <IMG onMouseOver=\"if (start_id!='".$a->get_album_id()."'){ start_id='".$a->get_album_id()."'; show_".$a->get_album_id()."();}\" ID=\"slideshow_".$a->get_album_id()."\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$a->get_start_photo_id()."\" BORDER=\"0\" CLASS=\"pub_album_body_img\">\n";
				else
					echo "        <IMG SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/images/nobody.jpg\" BORDER=\"0\" HEIGHT=\"160\" CLASS=\"pub_album_body_img\">\n";
				echo "        </A>\n";
				echo "      </DIV>\n";
				//echo "      <DIV STYLE=\"clear:both; position:relative; text-align:center;\">\n";
				echo "      <DIV CLASS=\"pub_album_body_title\">\n";
				echo "        <A HREF=\"$url&modus=view_album&album_id=".$a->get_album_id()."&username=".get_username($this->get_range_id())."#ankermp\"><FONT SIZE=\"-1\">".(htmlReady(strlen($a->get_titel())>30 ? substr($a->get_titel(),0,30)."..." : $a->get_titel()))."</FONT></A>\n";
				echo "      </DIV>\n";
				echo "    </DIV>\n";
				echo "  </TD>\n";
				$count++;
			}
			echo "  </TR>\n";
			echo "</TABLE>\n";
		}
	}

	function public_js_show_more_albums() {
		?><script type="text/javascript">
		var id_current = 0;
		var start_id = '';
		function showMoreAlbums() {
			new Ajax.Request('<?=$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()?>/ajaxDispatcher.php?ajax_cmd=showMoreAlbums', 
			{
				method: 'get',
				onSuccess: function(transport) {
					var moreAlbums = $('moreAlbums');
					moreAlbums.update(transport.responseText);
					},
				onFailure: function(t) {alert('Error ' + t.status + ' -- ' + t.statusText); },
				on404: function(t) {alert('Error 404: location "' + t.statusText + '" was not found.'); }
			});
			}
		</script>
		<?
	}

	
	function public_show_albums_portal() {
		global $PHP_SELF;

		$this->get_scriptaculous();
		$this->public_js_show_more_albums();

		echo "<A NAME=\"ankermp\">\n";

		$c = new Controller();

		$albums = array();

		$db = new DB_Seminar();
		$db->queryf("SELECT a.album_id FROM mp_album a, mp_range r, auth_user_md5 au WHERE a.public=1 AND portal_visible=1 AND r.album_id=a.album_id AND au.user_id=r.range_id AND EXISTS (SELECT * FROM mp_photo p WHERE p.album_id=a.album_id)");
		while ($db->next_record()) {
			$a = new Album();
			$a->load($db->f("album_id"));
			array_push($albums, $a);
		}

		if (count($albums) > 3) {
			$visited = array();
			$tmp_albums = array();
			while (count($tmp_albums) < 3) {
				$r = rand(0,count($albums)-1);
				if (!in_array($r, $visited)) {
					array_push($visited, $r);
					array_push($tmp_albums, $albums[$r]);
				}
			}
			$albums = $tmp_albums;
		}

		echo "<DIV ID=\"moreAlbums\">\n";

		//$albums = $c->get_all_albums($this->get_range_id());
		if (count($albums) > 0) {
			echo "<TABLE BORDER=\"0\" ALIGN=\"center\">\n";
			$count = 0;
			echo "  <TR>\n";
			foreach ($albums as $a) {

				if ($a->get_public() == 0)
                                        continue;


?><script type="text/javascript">
var id_current = 0;
var start_id = '';

function show_<?=$a->get_album_id()?> ()
{
 if (start_id!='<?=$a->get_album_id()?>') return false;
 var t_img = new Array(); 
 <?
 				$photos = $c->get_all_photos_in_album($a->get_album_id());
				if (count($photos) > 0) {
					$ind = 0;
					foreach ($photos as $p) {
						echo "t_img[$ind] = \"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$p->get_photo_id()."\";\n";
						$ind++;
					}
				}
 ?>

 var img = $('slideshow_<?=$a->get_album_id()?>');

   Element.hide('slideshow_<?=$a->get_album_id()?>');
   img.src = '';
   if (id_current < (t_img.length-1)) id_current++;
   else id_current = 0;
   img.className = 'pub_album_body_img';
   img.src = t_img[id_current];
   new Effect.Appear('slideshow_<?=$a->get_album_id()?>');

 window.setTimeout("show_<?=$a->get_album_id()?>()",5000);
}

</script>
<?

				if ($count == 4) {
					$count = 0;
					echo "  </TR>\n";
					echo "  <TR>\n";
				}
				echo "  <TD WIDTH=\"160px\" ALIGN=\"center\">\n";
				//echo "    <DIV STYLE=\"width:160px; height:160px; margin:1px; padding:1px; border-color:gray; border-width:1px; border-style:solid\">\n";
				echo "    <DIV CLASS=\"pub_album_body\">\n";
				//echo "      <DIV STYLE=\"clear:both; position:relative; height:130px; text-align:center;\">\n";
				echo "      <DIV CLASS=\"pub_album_body_link\">\n";
				echo "        <A HREF=\"".$GLOBALS['ABSOLUTE_URI_STUDIP']."/index.php?modus=view_album&album_id=".$a->get_album_id()."&username=".get_username($this->get_range_id())."#ankermp\">\n";
				if ($a->get_start_photo_id() != "")
					//echo "        <IMG onMouseOver=\"if (start_id!='".$a->get_album_id()."'){ start_id='".$a->get_album_id()."'; show_".$a->get_album_id()."();}\" ID=\"slideshow_".$a->get_album_id()."\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$a->get_start_photo_id()."\" BORDER=\"0\" STYLE=\"position:absolute; top:1px; left:20px; clip:rect(0px, 120px, 120px, 0px);\">\n";
					echo "        <IMG onMouseOver=\"if (start_id!='".$a->get_album_id()."'){ start_id='".$a->get_album_id()."'; show_".$a->get_album_id()."();}\" ID=\"slideshow_".$a->get_album_id()."\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$a->get_start_photo_id()."\" BORDER=\"0\" CLASS=\"pub_album_body_img\">\n";
				else
					echo "        <IMG SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/images/nobody.jpg\" BORDER=\"0\" HEIGHT=\"160\" CLASS=\"pub_album_body_img\">\n";
				echo "        </A>\n";
				echo "      </DIV>\n";
				//echo "      <DIV STYLE=\"clear:both; position:relative; text-align:center;\">\n";
				echo "      <DIV CLASS=\"pub_album_body_title\">\n";
				echo "        <A HREF=\"".$GLOBALS['ABSOLUTE_URI_STUDIP']."/index.php?modus=view_album&album_id=".$a->get_album_id()."&username=".get_username($this->get_range_id())."#ankermp\"><FONT SIZE=\"-1\">".(htmlReady(strlen($a->get_titel())>30 ? substr($a->get_titel(),0,30)."..." : $a->get_titel()))."</FONT></A>\n";
				echo "      </DIV>\n";
				echo "    </DIV>\n";
				echo "  </TD>\n";
				$count++;
			}
			echo "  </TR>\n";
			echo "</TABLE>\n";
			echo "<DIV STYLE=\"text-align:right; font-size:smaller;\"><A HREF=\"javascript:showMoreAlbums();\">".dgettext('mp',"mehr")."</A></DIV>\n";
		}
		echo "</DIV>\n";
	}

	function admin_show_albums() {
		$c = new Controller();

		$this->get_scriptaculous();

		$albums = $c->get_all_albums($this->get_range_id());

		$t_albums = $albums;
		$albums = array();
		if (count($t_albums) > 0) {
			foreach ($t_albums as $t) {
				if (Controller::haveEditPerms($t, $this->get_range_id()))
					array_push($albums, $t);
			}
		}


		echo "<TABLE BORDER=\"0\" WIDTH=\"100%\">\n";
       	        echo "  <TR>\n";
                echo "    <TD VALIGN=\"TOP\" CLASS=\"blank\">\n";

		if (count($albums) > 0) {
			//echo "<DIV STYLE=\"text-align:center; color:gray\">\n";
			echo "<DIV CLASS=\"adm_info_text\">\n";
			echo dgettext('mp',"Hier k&ouml;nnen Sie die Alben mit der Maus in ihrer Position verschieben.")."\n";
			echo "</DIV>\n";

			echo "<DIV id=\"alben\" STYLE=\"width:100%\">\n";
			foreach ($albums as $a) {
				//echo "  <DIV id=\"bla_".$a->get_album_id()."\" STYLE=\"float:left; overflow:hidden; padding:1px; margin:5px; border-color:gray; border-width:1px; border-style:solid; max-height:160px; max-width:160px; height:160px; width:160px;\">\n";
				echo "  <DIV id=\"bla_".$a->get_album_id()."\" CLASS=\"adm_album_body\">\n";
				//echo "    <DIV STYLE=\"clear:both; position:relative; height:130px; text-align:center; z-index:0;\">\n";
				echo "    <DIV CLASS=\"adm_album_body_link\">\n";
				echo "      <A id=\"albumlink_".$a->get_album_id()."\" HREF=\"".$this->getLink($this->pluginobject,array("album_id"=>$a->get_album_id(), "modus"=>"view_album"),$this->pluginobject->view)."\" onClick=\"return sortableReordered;\">";
				if ($a->get_start_photo_id() != "")
					//echo "<IMG ID=\"img_".$a->get_album_id()."\" STYLE=\"position:absolute; top:1px; left:20px; clip:rect(0px, 120px, 120px, 0px);\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$a->get_start_photo_id()."\" BORDER=\"0\" ALT=\"".htmlReady($a->get_titel())."\" TITLE=\"".htmlReady($a->get_titel())."\" onMouseOver=\"sortableReordered=true;\">";
					echo "<IMG ID=\"img_".$a->get_album_id()."\" CLASS=\"adm_album_body_img\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/download.php?modus=thumb&photo_id=".$a->get_start_photo_id()."\" BORDER=\"0\" ALT=\"".htmlReady($a->get_titel())."\" TITLE=\"".htmlReady($a->get_titel())."\" onMouseOver=\"sortableReordered=true;\">";
				else
					//echo "<IMG ID=\"img_".$a->get_album_id()."\" STYLE=\"position:absolute; top:1px; left:20px; clip:rect(0px, 120px, 120px, 0px);\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP']."user/nobody.jpg\" BORDER=\"0\" ALT=\"".htmlReady($a->get_titel())."\" TITLE=\"".htmlReady($a->get_titel())."\" onMouseOver=\"sortableReordered=true;\">";
					echo "<IMG ID=\"img_".$a->get_album_id()."\" CLASS=\"adm_album_body_img\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()."/images/nobody.jpg\" BORDER=\"0\" ALT=\"".htmlReady($a->get_titel())."\" TITLE=\"".htmlReady($a->get_titel())."\" onMouseOver=\"sortableReordered=true;\">";
				echo "</A>\n";
				if ($a->get_public() == 1)
					echo "        <IMG ALT=\"".dgettext('mp',"F&uuml;r andere sichtbar")."\" TITLE=\"".dgettext('mp',"F&uuml;r andere sichtbar")."\" STYLE=\"clear:both; position:absolute; top:1px; left:1px; z-index:9999;\" SRC=\"".$GLOBALS['ASSETS_URL']."/images/vote-icon-visible.gif\">\n";
				?>
        <script type=\"text/javascript" language="javascript">
        Event.observe('albumlink_<?=$a->get_album_id()?>', 'click', function(event) { checkSortable(event); });
        </script>
                                <?
                                echo "\n";
				echo "    </DIV>\n";
				//echo "    <DIV STYLE=\"clear:both; position:relative; text-align:center;\">\n";
				echo "    <DIV CLASS=\"adm_album_body_title\">\n";
				echo "      <A HREF=\"".$this->getLink($this->pluginobject,array("modus"=>"view_album","album_id"=>$a->get_album_id()))."\"><FONT SIZE=\"-1\">".(htmlReady(strlen($a->get_titel())>30 ? substr($a->get_titel(),0,30)."..." : $a->get_titel()))."</FONT></A>\n";
				echo "    </DIV>\n";
				echo "  </DIV>\n";
			}
			echo "</DIV>\n";
?>
<script type="text/javascript" language="javascript">
 // <![CDATA[
   sortableReordered = true;

function checkSortable(event)
{
    if (sortableReordered) {
         Event.stop(event);
         sortableReordered = false;
    }
}

   Sortable.create("alben",
     {tag:'div',overlap:'horizontal',constraint: false,
      onUpdate:function(){
        sortableReordered = false;
        new Ajax.Request("<?=$GLOBALS['ABSOLUTE_URI_STUDIP'].$this->pluginobject->getPluginpath()?>/update_sort.php<?='?range_id='.$this->get_range_id()?>",
        {
            method: "post",
            parameters: { sortierung: Sortable.serialize("alben") },
            onFailure: function(t) {alert('Error ' + t.status + ' -- ' + t.statusText); },
            /*onSuccess: function(t) {alert(t.responseText); },*/
            on404: function(t) {alert('Error 404: location "' + t.statusText + '" was not found.'); }
        }
        );
      }
    })
 // ]]>
 </script>
<?
		} else { // Keine Alben vorhanden
			echo "      <TABLE BORDER=\"0\">\n";
			parse_msg("info".dgettext('mp',"Es sind noch keine Alben vorhanden. Benutzen Sie im Men&uuml; den Punkt 'Neues Album', um eigene Foto-Alben anzulegen."));
			echo "      </TABLE>\n";
		}

		echo "    </TD>\n";
                echo "    <TD CLASS=\"blank\" WIDTH=\"2%\" ALIGN=\"CENTER\" VALIGN=\"TOP\">".$this->createInfoBox("modules.jpg")."</TD>\n";
                echo "  </TR>\n";
                echo "</TABLE>\n";

	}


}

?>
